# $Revision: 1.6.2.3 $, $Date: 2007-11-13 19:20:32 $
Summary:	Library of Python code used by some programs made by Red Hat
Summary(pl.UTF-8):	Biblioteka kodu Pythona używana przez niektóre programy Red Hata
Name:		python-rhpl
Version:	0.201
Release:	2
License:	GPL
Group:		Libraries
Source0:	rhpl-%{version}.tar.gz
# Source0-md5:	a40ecdad6b77b46b61ac76fe47c82c4d
Patch0:		%{name}-enc.patch
BuildRequires:	gettext-devel
BuildRequires:	libiw-devel
BuildRequires:	python-devel
%pyrequires_eq	python-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The rhpl package contains Python code used by some programs made by
Red Hat.

%description -l pl.UTF-8
Pakiet rhpl zawiera kod Pythona używany w niektórych programach
stworzonych przez Red Hata.

%prep
%setup -q -n rhpl-%{version}
%patch0 -p1

# remove deprecated modules
# moved into python-rhpxl
rm -f src/{xserver,videocard,monitor,mouse,guesslcd,xhwstate}.py
# moved into firstboot
rm -f src/firstboot_gui_window.py

rm -f po/no.po

sed -i -e 's#gcc#%{__cc}#g' Makefile */Makefile */*/Makefile

%build
%{__make} \
	PYTHON="%{__python}" \
	PYTHONINCLUDE="%{py_incdir}" \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PYTHON="%{__python}" \
	PYTHONLIBDIR="%{py_sitedir}" \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang rhpl

%clean
rm -rf $RPM_BUILD_ROOT

%files -f rhpl.lang
%defattr(644,root,root,755)
%doc ChangeLog README
%dir %{py_sitedir}/rhpl
%{py_sitedir}/rhpl/*.py*
%attr(755,root,root) %{py_sitedir}/rhpl/*.so

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-rhpl.spec,v $
Revision 1.6.2.3  2007-11-13 19:20:32  glen
- merged 0.201 from HEAD

Revision 1.6.2.2  2007-11-13 19:18:43  glen
- converted to utf8

Revision 1.6.2.1  2007-11-13 18:54:36  glen
- rel 3 (wireless-tools update)

Revision 1.6  2006-08-29 20:31:43  glen
- rel 2

Revision 1.5  2006/06/06 17:04:11  glen
- remove deprecated modules, thus making this package x11 independant

Revision 1.4  2006/05/24 22:41:45  glen
- python-xf86config dep moved from anaconda to python-rhpl

Revision 1.3  2005/11/06 16:39:50  patrys
- up to 0.176

Revision 1.2  2005/04/24 14:16:26  qboosh
- pl, cleanups, adjusted descs (as we are not Red Hat)

Revision 1.1  2005/04/23 21:31:21  patrys
- Initial PLD release
